Get Impressions Usage
1 min
GET
https://api.optimizely.com/v2/billing/usage/{account_id}
account_idinteger<int64>The account ID of the customer
per_pageintegerOptional pagination argument that specifies the maximum number of objects to return per request
pageintegerOptional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.
usage_date_fromstringStart date of date range
usage_date_tostringEnd date of date range
platformsarrayThe platform of the Project
querystring<p>Search by experiment_id, project_id.</p>
sortstringThe property to sort by.
orderstringThe property to sort by.
acceptstringGenerated from available response content types
200Return Impression Usage info for account
400Invalid ID
401Invalid credentials
403You do not have permission to account
404Impression Usage not found
defaultUnexpected error
curl --request GET \
--url 'https://api.optimizely.com/v2/billing/usage/{account_id}?per_page=25&page=1&usage_date_from=string&usage_date_to=string&platforms=edge%2Cfullstack%2Cweb&query=string&sort=impression_count&order=desc' \
--header 'accept: application/json'